select distinct alg_gebouw_code from fac_imp_onrgoed1

select * from alg_gebouw

select * from fac_imp_onrgoed1 i where i.alg_gebouw_code not in (select alg_gebouw_code from alg_gebouw)

select * from alg_kenmerk

insert into alg_onrgoedkenmerk (alg_kenmerk_key, alg_onrgoed_key, alg_onrgoed_niveau, alg_onrgoedkenmerk_waarde)
--select alg_gebouw_key, count(alg_locatie_post_land) from (
select distinct 1020, alg_gebouw_key, 'G', i.alg_locatie_post_land from fac_imp_onrgoed1 i, alg_gebouw g, alg_locatie l
where i.alg_gebouw_code = g.alg_gebouw_code
and l.alg_locatie_key = g.alg_locatie_key
and l.alg_locatie_code = i.alg_locatie_code
--)group by alg_gebouw_key

select * from alg_locatie

select * from fac_api

update alg_locatie set alg_locatie_post_land = DECODE (alg_locatie_post_plaats, NULL, NULL, 'Nederland')

select * from alg_gebouw where alg_gebouw_key in (517,575)